export default {
  state: {
    projectId: 0,
    folder: null,
    params: {},
    records: [],
    menuLoading: false,
    highlight: {},
    queryData: [],
    style: null,
  },

  mutations: {
    SET_PATENT_PROJECT_ID(state, projectId) {
      state.projectId = projectId
    },
    SET_PATENT_FOLDER(state, folder) {
      state.folder = folder
    },
    SET_PATENT_PARAMS(state, params) {
      state.params = params
    },
    SET_PATENT_RECORDS(state, records) {
      state.records = records
    },
    SET_PATENT_MENU_LOADING(state, menuLoading) {
      state.menuLoading = menuLoading
    },
    
    SET_PATENT_QUERY_DATA(state, queryData) {
      state.queryData = queryData
    },
    SET_PATENT_STYLE(state, style) {
      state.style = style
    },

  },

  actions: {

  }
}
